Skip to main content

Versions Update

  3 posts   Feedicon  
Replies: 2 - Last Post: September 04, 2012 12:17
by: pelama
showing 1 - 3 of 3
Posted: August 31, 2012 09:03 by pelama
So.. Version Ops Center Doctor 4.10 is out..

I'm running OC 12.1.1.2076,SunOS11 and on the EC.. I run the --trobleshoot option..


ERROR: Found Solaris 11 agents which were not imported yet to the local IPS repository (CR 7188577).
This may cause OS provisioning to fail.

The files are:
/var/opt/sun/xvm/images/agent/OpsCenterAgent.SolarisIPS.all.12.1.1.2083.zip

If this is a new version of the Solaris 11 agent, the easiest way to fix this is to perform one of the following:
1) Deploy this new agent to a new machine (choose to manage an OS) through the HTML User Interface
2) Upgrade an older Solaris 11 agent to this new version through the HTML User Interface

Alternatively, while less recommended, you could use the script in 'OCDoctor/toolbox/publish_S11_agent_to_local_repo.sh' to
import those agents manually:
To see how to use it, view the first few lines of that script or contact Support.




Okay.. Fine..

this publish_S11_agent_to_local_repo.sh Seems to work fine.. I run the troubleshot again..

and this IPS issues is gone..

And then


== Checking agent... ==

WARNING: current agent version (12.1.1.2076) is not the latest available (12.1.1.2078)
To upgrade, go to 'Administration'->'Ops Center Downloads' and Upgrade the EC/PC if needed.
Then, to upgrade the agents:
Go to 'Assets'->'Operating Systems'->Pick a group (example:Solaris)->Summary tab->Agent Controllers



So the one I downloaded is 12.1.1.2083 And is named as IPS........
I can't find any agent named 12.1.1.2078 Only the one called 12.1.1.2083.. So .. I guess these ones are newer.. Wink

But when I tries to uppgrade the agent.. There is no newer..
and when I add assets to OPS..
and the Task IPSPackagesCheckRepoTask Says


09:15:45 AM CEST ERROR IPS Repository /var/opt/sun/xvm/locallib/swlib1/df1c8aec-976a-4ef4-96bf-a0c982a8b680/data does not exist or is invalid. (94300)



And I verify on the OPS Server


OPS# ls -la /var/opt/sun/xvm/locallib/swlib1/df1c8aec-976a-4ef4-96bf-a0c982a8b680/data
total 11
drwxr-xr-x 3 root sys 4 Aug 16 12:06 .
drwxr-xr-x 3 root sys 4 Aug 31 03:22 ..
-rw-r--r-- 1 root sys 78 Aug 16 12:05 pkg5.repository
drwxr-xr-x 6 root sys 6 Aug 16 12:15 publisher



So the Repository exists,, But how do I verify it valid?

So according to the OCdoc.. on the Client or Server.. There is no problem..
But installing the agent don't work..

Br Magnus




Posted: September 01, 2012 01:29 by Eran Steiner
Thanks for the feedback:

- Great to hear that the S11 publish script works Smile
- When checking for the 2076, it's a bit confusing because at this stage it's already performing agent level tests, and it checks for the specific agent version that is installed. This is different than the EC test where it checks what is available. I added a better wording around that in the newest Doctor which was just released (4.11)
- Yes, agent version 2083 is the newest one (on Solaris). It was just released a couple days back. The new Doctor will know about it as well.
- The error in the IPS - we've actually seen a few of those now. In the just released Doctor there's a good How-to article on how to fix broken IPS repos. Please look at /var/opt/sun/xvm/OCDoctor/howto/howto_manually_sync_the_Solaris11_MSR.txt.

We should probably try and probe the IPS repo for any errors during '--troubleshoot' and if we find any, point to the how-to document. We'll add this in the next release.

Hope this helps!
Posted: September 04, 2012 12:17 by pelama
Hmm..


# svcprop -p pkg/inst_root svcHmmmapplication/pkg/server:default
/var/pkgrepo



Seems to be an issue here.
Replies: 2 - Last Post: September 04, 2012 12:17
by: pelama
 
 
Close
loading
Please Confirm
Close